﻿
@using Microsoft.AspNetCore.Http
@using Schedule.Application.ViewModel
@inject IHttpContextAccessor HttpContextAccessor

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>@ViewData["Title"] - Schedule.Web</title>
    <link rel="stylesheet" href="~/lib/bootstrap/dist/css/bootstrap.min.css" />
    <link href="~/lib/bootstrap-multiselect/bootstrap-multiselect.css" rel="stylesheet" />
    <link rel="stylesheet" href="@Url.ContentVersioned("~/css/site.css")" />
    <link href="~/lib/toastr.js/toastr.css" rel="stylesheet" />
    <link href="~/lib/DataTables/datatables.css" rel="stylesheet" />
    <link href="~/lib/bootstrap-multiselect/bootstrap-multiselect.css" rel="stylesheet" />
    <link href="~/lib/jqueryui/jquery-ui.css" rel="stylesheet" />
    @RenderSection("Styles", required: false)

    <script src="~/lib/jquery/dist/jquery.min.js"></script>
    <script src="~/lib/jqueryui/jquery-ui.js"></script>
    <script src="~/lib/toastr.js/toastr.min.js"></script>
    <script src="@Url.ContentVersioned("~/Scripts/site.js")" asp-append-version="true"></script>
    <script src="~/lib/bootstrap/dist/js/bootstrap.bundle.min.js"></script>
    <script src="~/lib/DataTables/datatables.js"></script>
    <script src="~/lib/jquery-validation/methods_pt.js"></script>



    <script src="~/lib/bootstrap-multiselect/bootstrap-multiselect.js"></script>
    <link href="~/lib/jqueryui/jquery-ui.css" rel="stylesheet" />
    <script src="~/lib/Mask/jquery.mask.min.js"></script>



</head>
<body>
    <nav style="margin:5px" class="navbar navbar-expand-md navbar-dark  fixed-left">

        <a class="sidebar-brand d-flex align-items-center justify-content-center" asp-controller="Home" asp-action="Index">
            <div class="sidebar-brand-icon">

                <img src="~/imagems/cropped-favicon.png" class="img-logo-sidebar" />
            </div>
            <div class="sidebar-brand-text mx-3 text-logo-sidebar">ELO</div>
        </a>





        <a class="navbar-brand" asp-area="" asp-controller="Home" asp-action="Index">ELO - Schedule</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target=".navbar-collapse" aria-controls="navbarSupportedContent"
                aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>




        @if (@ViewBag.Menus != null)
        {
            <div class="nav-pills  navbar-collapse collapse d-sm-inline-flex flex-sm-row-reverse">
                <ul class="navbar-nav flex-grow-1">
                    @foreach (var item in @ViewBag.Menus as List<Schedule.Application.ViewModel.Estrutura.MenuViewModel>)
                    {
                        if (!string.IsNullOrEmpty(@item.Controller))
                        {
                            <li class="nav-item">
                                <a class="nav-link" title="@item.Titulo" asp-controller="@item.Controller" asp-action="@item.Action">@item.Titulo</a>
                            </li>
                        }
                        else
                        {
                            <li class="nav-item">
                                <a class="nav-link" style="color:greenyellow" title="@item.Titulo">@item.Titulo</a>
                            </li>
                        }

                    }
                </ul>

            </div>
        }
    </nav>

    <div id="container-fluid">


        @if (@ViewBag.AmbienteHomologacao == true)
        {
            <nav style="background-color:red !important" class="navbar navbar-expand navbar-light bg-white topbar mb-4 static-top shadow">
               
                <label class="h2"> Homologação</label>
                <button id="sidebarToggleTop" class="btn btn-link d-md-none rounded-circle mr-3">
                    <i class="fa fa-bars"></i>
                </button>

                <ul class="navbar-nav ml-auto">

                    <li class="nav-item dropdown no-arrow">
                        <a class="nav-link dropdown-toggle" href="#" id="userDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                            <span class="mr-2 d-none d-lg-inline text-gray-600 small">@User.Identity.Name</span>
                            <img class="img-profile rounded-circle" src="/imagems/Sample_User_Icon.png">
                        </a>

                        <div class="dropdown-menu dropdown-menu-right shadow animated--grow-in" aria-labelledby="userDropdown">
                            <a class="dropdown-item" asp-controller="Account" asp-action="Logout">
                                <i class="fas fa-sign-out-alt fa-sm fa-fw mr-2 text-gray-400"></i>
                                Logout
                            </a>
                        </div>
                    </li>
                </ul>
            </nav>
        }

        else
        {
            <nav class="navbar navbar-expand navbar-light bg-white topbar mb-4 static-top shadow">

                <button id="sidebarToggleTop" class="btn btn-link d-md-none rounded-circle mr-3">
                    <i class="fa fa-bars"></i>
                </button>

                <ul class="navbar-nav ml-auto">

                    <li class="nav-item dropdown no-arrow">
                        <a class="nav-link dropdown-toggle" href="#" id="userDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                            <span class="mr-2 d-none d-lg-inline text-gray-600 small">@User.Identity.Name</span>
                            <img class="img-profile rounded-circle" src="/imagems/Sample_User_Icon.png">
                        </a>

                        <div class="dropdown-menu dropdown-menu-right shadow animated--grow-in" aria-labelledby="userDropdown">
                            <a class="dropdown-item" asp-controller="Account" asp-action="Logout">
                                <i class="fas fa-sign-out-alt fa-sm fa-fw mr-2 text-gray-400"></i>
                                Logout
                            </a>
                        </div>
                    </li>
                </ul>
            </nav>
        }



        <input type="hidden" id="success" value="@TempData["success"]" />
        <input type="hidden" id="info" value="@TempData["info"]" />
        <input type="hidden" id="warning" value="@TempData["warning"]" />
        <input type="hidden" id="error" value="@TempData["error"]" />
        <div class="ContentBody">
            @RenderBody()
        </div>
    </div>

    @RenderSection("Scripts", required: false)
</body>
</html>
